Could not resolve type id 'kafka-0.8'

Hey,

I trying to ingest data through my realtime node using kafka and the node is throwing an exception about my specfile:

Error injecting constructor, java.lang.RuntimeException: com.fasterxml.jackson.databind.JsonMappingException: Could not resolve type id ‘kafka-8.0’ into a subtype of [simple type, class io.druid.data.input.FirehoseFactory]

I pull dependancies using this command:

*java “-Ddruid.extensions.coordinates=[“io.druid.extensions:druid-s3-extensions”,“io.druid.extensions:mysql-metadata-storage”, “io.druid.extensions:druid-kafka-eight:0.6.159”]” *

*-Ddruid.extensions.localRepository=/usr/local/druid/repository *

*"-Ddruid.extensions.remoteRepositories=[“file:///root/.m2/repository/”,“https://repo1.maven.org/maven2/”, "https://metamx.artifactoryonline.com/metamx/pub-libs-releases-local"]" *

_-cp /usr/local/druid/lib/* _

io.druid.cli.Main tools pull-deps

I am also using Druid 0.8.0. Is there something i need to change with that druid-kafka-eight extension?

You are using 0.6.159 version of the kafka-eight extension.

Remove the version number and Druid will use the 0.8.0 version of the extension.

unfortunately, this exception is still popping up. could there be any other reason why these dependencies won’t get pulled? I’m running this node in a docker container.

Do you have the logs of when the node first starts up? There should be some logs pertaining to which extensions are loaded. This error is saying the kafka extension is not being found.